aimglobal.org - Buyers Guide blocks what it calls "Mozilla 0"

RESOLVED INCOMPLETE

Status

RESOLVED INCOMPLETE
15 years ago
4 years ago

People

(Reporter: d_yerrick, Unassigned)

Tracking

unspecified
x86
All

Details

(URL)

(Reporter)

Description

15 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7b) Gecko/20040316
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7b) Gecko/20040316

AIM is a trade association selling copies of barcode standards.  However,
it won't let Mozilla suite users see the Buyers Guide.

Reproducible: Always
Steps to Reproduce:
1. go to http://www.aimglobal.org/
2. click "Buyers Guide" at the left side

Actual Results:  
Your browser Mozilla 0 is not currently supported by this application.

To access this application you must use Internet Explorer 4 or Netscape 4.78 or
Opera 6.01 or greater. 

Expected Results:  
Grant users of all Gecko based browsers full access, as if they were using
an equivalent Netscape(TM) branded browser.

Don't let the name "AIM" throw you off; it stands for "Automatic Identification
and Mobility" and has nothing to do with any Internet messaging network.

Comment 1

15 years ago
In 1.7rcx on OS/2 I get " Your browser Mozilla 7 is not currently supported by
this application."
OS: Windows 2000 → All

Comment 2

15 years ago
geez, I am tired of such lame windows asp coders.
contacted their info email with the following:

Dear Sir:

Your site blocks users of Mozilla from accessing your Buyers Guide. To reproduce
you can follow these steps:

1. download and install Mozilla from <http://www.mozilla.org/>.

2. go to your homepage <http://www.aimglobal.org/>.

3. click on buyers guide where you will be directed to
<http://www.aimglobal.org/members/include/browser_not_supported.asp> where it
states:


Browser Not Supported
Your browser Mozilla 7 is not currently supported by this application.

To access this application you must use Internet Explorer 4 or Netscape 4.78 or
Opera 6.01 or greater.

Considering that I am using Mozilla 1.7, it is clear your server side user agent
detection scripts are completely broken.

Note that I can access your site in Mozilla if I change my user agent string to
match Netscape 7.01 and have no difficulties.

This is obviously a problem in your browser detection in your server side ASP
scripts. I recommend
<http://devedge.netscape.com/viewsource/2002/gecko-compatibility/> as reading
for your web developers.

If your web developers are not aware that Mozilla is the basis for Netscape 6,
Netscape 7, AOL for Mac OS X, Firefox, Galeon, Kmeleon, Epiphany or that the
combined market share of the Mozilla family of browsers exceeds that of Opera
you might want to bring this to their attention. 

While it is true that your customers on Windows have the choice of using
Interent Explorer, your customers on Linux and Mac OS X do not have the same
choice available. In fact, your customers also have the choice of giving their
business to someone else.
Status: NEW → ASSIGNED
Target Milestone: --- → Jun

Comment 3

14 years ago
[bug248549notfixed]

Comment 4

8 years ago
INCOMPLETE due to lack of activity since the end of 2009.

If someone is willing to investigate the issues raised in this bug to determine whether they still exist, *and* work with the site in question to fix any existing issues, please feel free to re-open and assign to yourself.

Sorry for the bugspam; filter on "NO MORE PRE-2010 TE BUGS" to remove.
Status: ASSIGNED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INCOMPLETE
Product: Tech Evangelism → Tech Evangelism Graveyard
You need to log in before you can comment on or make changes to this bug.